summaryrefslogtreecommitdiff
path: root/tests/touch/no-rights
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-11-13 23:20:14 +0000
committerJim Meyering <jim@meyering.net>1999-11-13 23:20:14 +0000
commit91ac2fec340bf80ad6b0d312217d765d5ae5ab44 (patch)
treee566f536c154c822ed406b23ef73379228448e2a /tests/touch/no-rights
parent55fa0c6a12d42fb53fe7dc510c48f17272093ff2 (diff)
downloadcoreutils-91ac2fec340bf80ad6b0d312217d765d5ae5ab44.tar.xz
# Also test the combination of --no-create and -a.
Diffstat (limited to 'tests/touch/no-rights')
-rwxr-xr-xtests/touch/no-rights3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/touch/no-rights b/tests/touch/no-rights
index ba22382ba..facc7acd2 100755
--- a/tests/touch/no-rights
+++ b/tests/touch/no-rights
@@ -29,6 +29,9 @@ touch -c $t1 || fail=1
set x `ls -t $t1 $t2`
test "$*" = "x $t1 $t2" || fail=1
+# Also test the combination of --no-create and -a.
+touch -a --no-create $t1 || fail=1
+
rm -f $t1 $t2
exit $fail